Bug 16562 - Translatability: Issue in opac-user.tt (separated word 'item')
Summary: Translatability: Issue in opac-user.tt (separated word 'item')
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-22 06:31 UTC by Marc Véron
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16562: Translatability: Issue in opac-user.tt (separated word 'item') (1.53 KB, patch)
2016-05-23 09:49 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16562: Translatability: Issue in opac-user.tt (separated word 'item') (1.61 KB, patch)
2016-05-26 19:43 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 16562: (Follow-up) Add ':' to enhance readability and translatability (1.70 KB, patch)
2016-06-10 14:29 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16562 - Translatability: Issue in opac-user.tt (separated word 'item') (1.50 KB, patch)
2016-06-19 15:58 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16562 - Translatability: Issue in opac-user.tt (separated word 'item') (1.55 KB, patch)
2016-06-24 15:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-05-22 06:31:50 UTC
The following sentence needs a better wording to avoid translation problems: 
Pending for next available <i>[% ItemTypes.GetDescription( RESERVE.itemtype ) %]</i> item
Comment 1 Marc Véron 2016-05-23 09:49:17 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2016-05-26 19:43:16 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-10 13:43:28 UTC
Not sure it will make the translation easier, but I don't have something else to suggest.
Letting it here to get another QA point of view.
Comment 4 Jonathan Druart 2016-06-10 13:46:38 UTC
Why don't you just remove the i tag and surround the whole sentence with a span?
Comment 5 Marc Véron 2016-06-10 14:27:00 UTC
(In reply to Jonathan Druart from comment #3)
> Not sure it will make the translation easier, but I don't have something
> else to suggest.
> Letting it here to get another QA point of view.

I'll add a : to the text to make clear that a value will follow.

It will read:
Pending for next available item of type: Book
(Book in italic)

That is nicer because item types start with a capital letter.
Comment 6 Marc Véron 2016-06-10 14:29:27 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2016-06-10 15:12:44 UTC
(In reply to Jonathan Druart from comment #4)
> Why don't you just remove the i tag and surround the whole sentence with a
> span?

And what about this suggestion?
Comment 8 Marc Véron 2016-06-10 15:22:51 UTC
It would read: 
Pending for next available item of type Book

I like it better the way I did it, for the reason I explained in my comment.
Pending for next available item of type: <i>Book</i>
Comment 9 Jonathan Druart 2016-06-10 15:59:44 UTC
(In reply to Marc Véron from comment #8)
> It would read: 
> Pending for next available item of type Book
> 
> I like it better the way I did it, for the reason I explained in my comment.
> Pending for next available item of type: <i>Book</i>

I meant:
  Pending for next available Book item.

i.e. same wording as before
Comment 10 Marc Véron 2016-06-10 16:06:48 UTC
(In reply to Jonathan Druart from comment #9)
> (In reply to Marc Véron from comment #8)
> > It would read: 
> > Pending for next available item of type Book
> > 
> > I like it better the way I did it, for the reason I explained in my comment.
> > Pending for next available item of type: <i>Book</i>
> 
> I meant:
>   Pending for next available Book item.
> 
> i.e. same wording as before

In Pootle, that would be:
Pending for next available %s item.

Translaters would have to find out what the %s stands for, that's why IMO my solution is better.
Comment 11 Jonathan Druart 2016-06-11 12:56:58 UTC
I let this one for someone else, but I am pretty sure we could find something better.
Comment 12 Katrin Fischer 2016-06-19 11:20:25 UTC
Hm, thinking of other ways to format this. One thing standing out to me is the 'type', I'd like it better to use 'item of item type' to be very clear what this type thing is about :)

Suggestion:
Pending for next available item of item type '[% ItemTypes.GetDescription( RESERVE.itemtype ) %]'
Comment 13 Marc Véron 2016-06-19 15:58:51 UTC Comment hidden (obsolete)
Comment 14 Kyle M Hall 2016-06-24 15:46:31 UTC
Created attachment 52819 [details] [review]
Bug 16562 - Translatability: Issue in opac-user.tt (separated word 'item')

Alternate patch with wording as proposed in comment #12

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 15 Kyle M Hall 2016-07-08 13:07:45 UTC
Pushed to master for 16.11, thanks Marc!
Comment 16 Frédéric Demians 2016-08-01 13:27:39 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 17 Julian Maurice 2016-08-16 15:01:10 UTC
Not needed in 3.22.x